/*
Theme Name: Start sua carreira
Theme URI: http://www.startsuacarreira.com.br
Author: Kenzie Academy BR
Author URI: https://kenzie.com.br;
Description: Descrição do thema.
Version: 1.0

--------------------------------------------
ESTRUTURA BASE
--------------------------------------------
**** DECLARAÇÃO DE VARIAVEIS
**** ESTILOS GERAIS
**** BODY
**** HEADER
**** FOOTER
**** PÁGINA INICIAL
**** EXTRAS
**** @MEDIA
*/

/*ESTILOS GERAIS*/
html, body, figure, img, div, input, textarea, p, h1, h2, h3, h4, h5, h6, ul,li, a,main{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;   
}

.coluna{
    flex-basis: 49%;
}

:root{
    --corBackgroundPrimaria: #45dbfc;
    --corBackgroundSecundaria: #04133d;
    --corBackgroundDark: #0e0e0e;
    --corTextoPrimaria: #636363; 
    --corTextoSecundaria: #000;

}

.hidden{
    display: none;
}

/*BODY*/

body{
    font-family: 'Open Sans', sans-serif;
}

/*HEADER*/

header{
    background-color: var(--corBackgroundPrimaria);
    padding: 30px 30px 0;
}

header .container{
    background-color: white;
}

header .linha{
    align-items: center;
}

header .coluna-esquerda{
    flex-basis: 30%;
}

header .coluna-direita{
    flex-basis: 60%;
    text-align: center;
}

header .coluna img{
    max-width: 100%;
}

header .coluna h1{
    font-size: 1.5rem;
    color: var(--corTextoSecundaria);
}

header .coluna p{
    font-size: 1rem;
    color: var(--corTextoPrimaria);
}

header .coluna ul{
    margin: 16px 0 0;
}

header .coluna ul li{
    margin: 0 0 12px;
}

header .coluna ul li a{
    font-size: 1rem;
    color: var(--corTextoSecundaria);
}

/*FOOTER*/

footer{
    background-color: var(--corBackgroundSecundaria);
}

footer .container{
    padding: 20px;
}

footer nav ul li a{
    color: white;
}

footer nav .info-contato li{
    margin: 0 0 15px;
}

footer nav .redes-sociais{
    border-top: 1px solid rgba(255 255 255 / 20%);
    margin: 20px 0 50px;
    padding: 50px 0 0;
    text-align: center;
}

footer nav .redes-sociais li{
    margin: 15px 28px;
    text-align: center;
    display: inline-block;
}

footer nav .redes-sociais li a img{
    width: 40px;
}

/*PÁGINA INICIAL*/

main .coluna{
    padding: 20px;
}
main .coluna section{
    border-bottom: 1px solid #d4e9ff;
    margin: 0 0 20px;
    min-height: 152px;
    color: var(--corTextoSecundaria);
}
main .coluna section h2{
    font-size: 1.3rem;
    margin: 0 0 15px;
}
main .coluna section p{
    font-size: 0.9rem;
    color: var(--corTextoPrimaria);
    line-height: 1.5;
}

main .coluna section ul li{
    margin: 0 0 12px;
}

main .coluna section ul li h3{
    font-size: 1.1rem;
}

main .coluna section ul li strong{
    font-size: 0.9rem;
    font-weight: 500;
    margin: 5px 0 10px;
    display: inline-block;
}

/*EXTRAS*/
.ativar-dark{

    width: 50px;
    height: 50px;
    display: none;
}

header .container{
    position: relative;
}
label{
    
    border: solid 2px red;
    position: absolute;
    top: 30px;
    right: 30px;
    height: 30px;
    width: 52px;
    background-color:var(--corBackgroundSecundaria);
    border-radius: 20px;
    padding: 3px 5px;
    box-sizing: border-box;
    cursor: pointer;
    
}

label span{
    width: 20px;
    height: 20px;
    display: block;
    background-color: #d4e9ff;
    border-radius: 100%;
    transition: all ease .3s;

}

.ativar-dark:checked ~ .dark-mode label{
    background-color: #d4e9ff;
}

.ativar-dark:checked ~ .dark-mode label span{
    background-color: var(--corBackgroundSecundaria);
    transform: translateX(21px);
    transition: all ease .3s;
}

.ativar-dark:checked ~ .dark-mode{
    --corBackgroundPrimaria: #000;
    --corBackgroundSecundaria: #000;
    --corTextoPrimaria: #fff; 
    --corTextoSecundaria: #fff;
}
.ativar-dark:checked ~ .dark-mode header{
    background-color: var(--corBackgroundSecundaria) ;
}
.ativar-dark:checked ~ .dark-mode header .container{
    background-color: var(--corBackgroundDark) ;
}
.ativar-dark:checked ~ .dark-mode .container{
    background-color: var(--corBackgroundDark) ;
}
.ativar-dark:checked ~ .dark-mode main{
    background-color: var(--corBackgroundSecundaria) ;
}

@keyframes aumentarLargura{
    from{
        width: 0;
    }
    to{
        width: 100%;
    }
}

@keyframes aumentarAltura{
    from{
        height: 0;
    }
    to{
        height: 100%;
    }
}

/*@MEDIA*/

@media only screen and (min-width: 768px){
    .linha{
        display: flex;
        flex-wrap: wrap;
        align-items: flex-start;
        justify-content: space-between;
    }
    
    footer nav .redes-sociais{
        display: flex;
        justify-content: center;
        
    }

    footer nav .redes-sociais li:hover{
        margin: 0 14px;
        text-align: center;
        display: initial;
    
    }
    
    header{
        padding: 30px 0 0;
    }

    header .coluna img{
        max-width: 250px;
        border-radius: 100%;
    }

    .container{
        width: 100%;
        max-width: 1125px;
        margin: 0 auto;
        padding: 30px;
    }

    header .coluna-direita{
        text-align: left;
    }

    main .coluna section{
        border: 2px solid transparent;
        padding: 20px;
        position: relative;    
    }

    main .coluna section span{
        position: absolute;
        display: block;
        width: 0;
        height: 0;
        border: 2px solid transparent;
    }
    main .coluna section .topo-direita{
        top: -2px;
        left: -2px;
        animation-name: aumentarLargura, aumentarAltura;
        animation-duration: 1s, 1s;
        animation-delay: 2s, 3s;
        animation-fill-mode: forwards;
        border-top-color: #d4e9ff;
        border-right-color: #d4e9ff;
        
    }
    main .coluna section .baixo-esquerda{
        bottom: -2px;
        right: -2px;
        animation-name: aumentarLargura, aumentarAltura;
        animation-duration: 1s, 1s;
        animation-delay: 4s, 5s;
        animation-fill-mode: forwards;
        border-bottom-color: #d4e9ff;
        border-left-color: #d4e9ff;
    }

    main .coluna{
        padding: 0;
    }
    
}

@media only screen and (min-width: 991px){
    header .coluna-direita{
        flex-basis: 70%;
    }
}
